<?php

namespace Andrew\BannedUsersList\Pub\Controller;
use XF\Mvc\ParameterBag;

class BannedUsersList extends \XF\Pub\Controller\AbstractController
{

    public function actionIndex()
    {
        $visitor = \XF::visitor();

        if(!$visitor->canViewBannedUsersList())
        {
            return $this->noPermission();
        }

        $page = $this->filterPage();
        $perPage = 40;

        $finder = \XF::finder('XF:User')->limitByPage($page, $perPage);

        $hideSpamUsers = $this->options()->andrewHideSpamUsers;
        $spamCleanerPhrase = \XF::phrase('spam_cleaner_ban_reason');
        $spamPhrase = \XF::phrase('spam');

        If($hideSpamUsers == 1)
        {
            $users = $finder
                ->with('Ban')
                ->with('SpamCleanerLog',false)
                ->where('is_banned',1)
                ->where('SpamCleanerLog.user_id', null)
                ->where('Ban.user_reason','!=',$spamCleanerPhrase)
                ->where('Ban.user_reason','!=',$spamPhrase)
                ->order('Ban.ban_date','DESC')
                ->fetch();
        }
        else
        {
            $users = $finder
                ->with('Ban')
                ->where('is_banned',1)
                ->order('Ban.ban_date','DESC')
                ->fetch();
        }


        $viewParams = [
            'total' => $finder->total(),
            'page' => $page,
            'perPage' => $perPage,
            'users' => $users
        ];

        return $this->view('Andrew\BannedUsersList:View', 'andrew_banneduserslist_view',$viewParams);
    }

}