<?php

namespace Andrew\BannedUsersList\XF\Entity;
use XF\Mvc\Entity\Structure;

class User extends XFCP_User
{

    public function canViewBannedUsersList(&$error = null)
    {
        $visitor = \XF::visitor();
        return ($visitor->hasPermission('andrew_banneduserslist', 'canViewBannedUsersList'));
    }

    public function canViewBannedBy(&$error = null)
    {
        $visitor = \XF::visitor();
        return ($visitor->hasPermission('andrew_banneduserslist', 'canViewBannedBy'));
    }

    public static function getStructure(Structure $structure)
    {
        $structure = parent::getStructure($structure);

        $structure->relations['SpamCleanerLog'] = [
                'entity' => 'XF:SpamCleanerLog',
                'type' => self::TO_ONE,
                'conditions' => 'user_id',
                'primary' => true
            ];

        return $structure;
    }


}